%define _prefix /usr
%define _mandir %{_prefix}/share/man
%define _sysconfdir %{_prefix}/etc

Name: lal
Version: 6.15.0
Release: 1
Summary: LSC Algorithm Library
License: GPL
Group: LAL
Source: %{name}-%{version}.tar.gz
URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/lalsuite.html
Packager: Jolien Creighton <jolien@uwm.edu>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: swig, python-devel, octave-devel, gsl-devel, fftw-devel, numpy, bc
Requires: gsl, fftw
Prefix: %{_prefix}

%description
The LSC Algorithm Library for gravitational wave data analysis.
This package contains the shared-object libraries needed to run applications
that use the LAL library.

%package devel
Summary: Files and documentation needed for compiling programs that use LAL
Group: LAL
Requires: %{name} = %{version}
Requires: gsl-devel, fftw-devel, fftw-static
%description devel
The LSC Algorithm Library for gravitational wave data analysis.
This package contains files needed build applications that use the LAL library
as well as the documentation for the library.

%package python
Summary: Python bindings for LAL
Group: LAL
Requires: %{name} = %{version}
Requires: python, numpy
%description python
The LSC Algorithm Library for gravitational wave data analysis.
This package provides the Python bindings.

%package octave
Summary: Octave bindings for LAL
Group: LAL
Requires: %{name} = %{version}
Requires: octave
%description octave
The LSC Algorithm Library for gravitational wave data analysis.
This package provides the Octave bindings.

%prep
%setup -q

%build
%configure --disable-gcc-flags --disable-debug --enable-swig
%{__make} V=1

%check
%{__make} V=1 check

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post
ldconfig

%postun
ldconfig

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}

%files
%defattr(-,root,root)
%{_bindir}/lal-version
%{_bindir}/lal-simd-detect
%{_libdir}/*.so*
%{_sysconfdir}/lal-user-env.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/lal

%files python
%defattr(-,root,root)
%{_libdir}/python*/site-packages/lal/*.py
%{_libdir}/python*/site-packages/lal/*.pyc
%{_libdir}/python*/site-packages/lal/_lal.so*
%{_libdir}/python*/site-packages/lal/spectrum/*.py
%{_libdir}/python*/site-packages/lal/spectrum/*.pyc
%{_libdir}/python*/site-packages/lal/utils/*.py
%{_libdir}/python*/site-packages/lal/utils/*.pyc
%exclude %{_libdir}/python*/site-packages/lal/*.pyo
%exclude %{_libdir}/python*/site-packages/lal/spectrum/*.pyo
%exclude %{_libdir}/python*/site-packages/lal/utils/*.pyo

%files octave
%defattr(-,root,root)
%{_libexecdir}/octave/*/site/oct/*/lal.oct*
